/*
  Copyright 2021 Kakao Corp.

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.kakao.sdk.partner.friend.network.model

import android.os.Parcelable
import com.kakao.sdk.talk.model.Friends
import kotlinx.android.parcel.Parcelize

/**
 * @suppress
 */
/**
 * 친구 목록 조회 API 응답 클래스
 */
@Parcelize
data class PickerFriends<T : Parcelable>(
    val me: Me,
    val friends: Friends<T>

) : Parcelable

/**
 * @suppress
 */
@Parcelize
data class Me(
    val uuid: String,
    val profileNickname: String?,
    val profileThumbnailImage: String?
) : Parcelable
